Loading...
Searching...
No Matches
CLI::is_copyable_ptr< T > Struct Template Reference

Check to see if something is copyable pointer. More...

`#include <TypeTools.hpp>`

## Static Public Attributes

static bool const | value = is_shared_ptr<T>::value || std::is_pointer<T>::value

## Detailed Description

template<typename T>
struct CLI::is_copyable_ptr< T >

Check to see if something is copyable pointer.

## Member Data Documentation

## value

template<typename T>

bool const CLI::is_copyable_ptr< T >::value = is_shared_ptr<T>::value || std::is_pointer<T>::value

static

The documentation for this struct was generated from the following file:

- include/CLI/TypeTools.hpp